using System;
using System.Collections.Generic;

namespace MyApp // Note: actual namespace depends on the project name.
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            long N = long.Parse(s[0]);
            long M = long.Parse(s[1]);


            for (int i = 0; i < N; i++)
            {
                string[] c = Console.ReadLine().Split();              

            }
            Console.WriteLine(0);
           
        }
    }
}